Bug 1276938 - (python-nipy) Review Request: python-nipy - Neuroimaging in Python FMRI analysis package
Review Request: python-nipy - Neuroimaging in Python FMRI analysis package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: python-nibabel 1276910 nipy-data
Blocks: fedora-neuro 1278293
  Show dependency treegraph
 
Reported: 2015-11-01 09:59 EST by Igor Gnatenko
Modified: 2015-12-15 08:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 08:23:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)
patch to remove separate build dirs (3.31 KB, patch)
2015-11-28 20:44 EST, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff

  None (edit)
Description Igor Gnatenko 2015-11-01 09:59:30 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-nipy.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-nipy-0.4.0-1.fc24.src.rpm
Description:
Neuroimaging tools for Python.

The aim of NIPY is to produce a platform-independent Python environment for the
analysis of functional brain imaging data using an open development model.
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-25 09:04:50 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
Maybe.

- py3dir has been removed from the guidelines. You are supposed to use a subdirectory of the source directory you create yourself, if it is necessary to have a separate source dir. But since nipy uses six, I think that the sources might be 2/3 compatible and you could just run both builds from the same source directory, and do the path fixups only on the installed files. I think that would also simplify the whole spec file, which right now is a bit complex.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (2 clause)", "MIT/X11 (BSD like)", "*No
     copyright* MIT/X11 (BSD like)", "Unknown or generated". 713 files have
     unknown license. Detailed output of licensecheck in /var/tmp/1276938
     -python-nipy/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/python3.5, /usr/lib64/python3.5
     /site-packages
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/python3.5/site-
     packages, /usr/lib64/python3.5
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 716800 bytes in 138 files.

You could use %global _docdir_fmt %{name}
to avoid installing both 
/usr/share/doc/python3-nipy/examples/ and/usr/share/doc/python2-nipy/examples/ 
*if* they are identical.

[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[?]: Package meets the Packaging Guidelines::Python
See Issues above.

[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-nipy , python3-nipy , python-nipy-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
The same as for uninstalled, not pasting it.

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /var/tmp/1276938-python-nipy/results/python2-nipy-0.4.0-1.fc24.x86_64.rpm /var/tmp/1276938-python-nipy/results/python3-nipy-0.4.0-1.fc24.x86_64.rpm /var/tmp/1276938-python-nipy/results/python-nipy-debuginfo-0.4.0-1.fc24.x86_64.rpm /var/tmp/1276938-python-nipy/results/python-nipy-debuginfo-0.4.0-1.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /var/tmp/1276938-python-nipy/results/python2-nipy-0.4.0-1.fc24.x86_64.rpm /var/tmp/1276938-python-nipy/results/python3-nipy-0.4.0-1.fc24.x86_64.rpm /var/tmp/1276938-python-nipy/results/python-nipy-debuginfo-0.4.0-1.fc24.x86_64.rpm /var/tmp/1276938-python-nipy/results/python-nipy-debuginfo-0.4.0-1.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: python2-nipy-0.4.0-1.fc24.x86_64.rpm
          python3-nipy-0.4.0-1.fc24.x86_64.rpm
          python-nipy-debuginfo-0.4.0-1.fc24.x86_64.rpm
          python-nipy-0.4.0-1.fc24.src.rpm
python2-nipy.x86_64: E: explicit-lib-dependency python-matplotlib
OK.

python2-nipy.x86_64: W: spelling-error Summary(en_US) Neuroimaging -> Micromanaging
python2-nipy.x86_64: W: spelling-error %description -l en_US Neuroimaging -> Micromanaging
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/algorithms/statistics/_quantile.so 775
python2-nipy.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/nipy/labs/utils/tests/test_misc.py 644 /usr/bin/env
python2-nipy.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/nipy/labs/utils/setup.py 644 /usr/bin/env
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/labs/utils/routines.so 775
python2-nipy.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/nipy/algorithms/clustering/tests/test_ggm.py 644 /usr/bin/env

/usr/bin/env python is probably wrong. Especially in the python3- package.
All those file permissions issues are not really important though.

python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/labs/group/onesample.so 775
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/algorithms/graph/_graph.so 775
python2-nipy.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/nipy/algorithms/registration/scripting.py 644 /usr/bin/env
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/labs/group/twosample.so 775
python2-nipy.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/nipy/labs/glm/tests/test_glm.py 644 /usr/bin/env
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/algorithms/registration/_registration.so 775
python2-nipy.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/nipy/labs/viz_tools/activation_maps.py 644 /usr/bin/env
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/algorithms/statistics/intvol.so 775
python2-nipy.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/nipy/labs/glm/setup.py 644 /usr/bin/env
python2-nipy.x86_64: W: file-not-utf8 /usr/share/doc/python2-nipy/examples/data/mni_basal_ganglia.nii.gz
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/algorithms/segmentation/_segmentation.so 775
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/labs/group/glm_twolevel.so 775
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/labs/bindings/linalg.so 775
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/labs/glm/kalman.so 775
python2-nipy.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/nipy/algorithms/registration/tests/test_scripting.py 644 /usr/bin/env
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/labs/bindings/wrapper.so 775
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/algorithms/statistics/histogram.so 775
python2-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/nipy/labs/bindings/array.so 775
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_diagnose
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_diagnose-2.7
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_4dto3d-2.7
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_4d_realign
python2-nipy.x86_64: W: no-manual-page-for-binary python2-nipy_diagnose
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_3dto4d-2.7
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_tsdiffana-2
python2-nipy.x86_64: W: no-manual-page-for-binary python2-nipy_3dto4d
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_3dto4d-2
python2-nipy.x86_64: W: no-manual-page-for-binary python2-nipy_tsdiffana
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_4d_realign-2.7
python2-nipy.x86_64: W: no-manual-page-for-binary python2-nipy_4d_realign
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_tsdiffana-2.7
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_4dto3d
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_4dto3d-2
python2-nipy.x86_64: W: no-manual-page-for-binary python2-nipy_4dto3d
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_3dto4d
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_diagnose-2
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_4d_realign-2
python2-nipy.x86_64: W: no-manual-page-for-binary nipy_tsdiffana
python3-nipy.x86_64: E: explicit-lib-dependency python3-matplotlib
python3-nipy.x86_64: W: spelling-error Summary(en_US) Neuroimaging -> Micromanaging
python3-nipy.x86_64: W: spelling-error %description -l en_US Neuroimaging -> Micromanaging
python3-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/nipy/labs/bindings/linalg.cpython-35m-x86_64-linux-gnu.so 775
python3-nipy.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/nipy/algorithms/clustering/tests/test_ggm.py 644 /usr/bin/env
python3-nipy.x86_64: W: file-not-utf8 /usr/share/doc/python3-nipy/examples/data/mni_basal_ganglia.nii.gz
python3-nipy.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/nipy/labs/utils/setup.py 644 /usr/bin/env
python3-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/nipy/algorithms/statistics/_quantile.cpython-35m-x86_64-linux-gnu.so 775
python3-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/nipy/labs/bindings/wrapper.cpython-35m-x86_64-linux-gnu.so 775
python3-nipy.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/nipy/labs/utils/tests/test_misc.py 644 /usr/bin/env
python3-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/nipy/algorithms/registration/_registration.cpython-35m-x86_64-linux-gnu.so 775
python3-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/nipy/labs/utils/routines.cpython-35m-x86_64-linux-gnu.so 775
python3-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/nipy/algorithms/statistics/histogram.cpython-35m-x86_64-linux-gnu.so 775
python3-nipy.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/nipy/labs/glm/setup.py 644 /usr/bin/env
python3-nipy.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/nipy/labs/viz_tools/activation_maps.py 644 /usr/bin/env
python3-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/nipy/algorithms/segmentation/_segmentation.cpython-35m-x86_64-linux-gnu.so 775
python3-nipy.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/nipy/labs/bindings/array.cpython-35m-x86_64-linux-gnu.so 775
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_4dto3d-3
python3-nipy.x86_64: W: no-manual-page-for-binary python3-nipy_3dto4d
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_diagnose-3
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_tsdiffana-3.5
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_4dto3d-3.5
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_tsdiffana-3
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_diagnose-3.5
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_3dto4d-3
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_4d_realign-3.5
python3-nipy.x86_64: W: no-manual-page-for-binary python3-nipy_4d_realign
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_4d_realign-3
python3-nipy.x86_64: W: no-manual-page-for-binary python3-nipy_diagnose
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_3dto4d-3.5
python3-nipy.x86_64: W: no-manual-page-for-binary python3-nipy_4dto3d
python3-nipy.x86_64: W: no-manual-page-for-binary python3-nipy_tsdiffana
python-nipy.src: W: spelling-error Summary(en_US) Neuroimaging -> Micromanaging
python-nipy.src: W: spelling-error %description -l en_US Neuroimaging -> Micromanaging
4 packages and 0 specfiles checked; 46 errors, 429 warnings.

Requires
--------
python3-nipy (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python3
    libc.so.6()(64bit)
    libopenblas.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    python(abi)
    python3-matplotlib
    python3-nibabel
    python3-numpy
    python3-scipy
    python3-six
    python3-sympy
    python3-transforms3d
    rtld(GNU_HASH)

python-nipy-debuginfo (rpmlib, GLIBC filtered):

python2-nipy (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python2
    libc.so.6()(64bit)
    libopenblas.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    numpy
    python(abi)
    python-matplotlib
    python-six
    python2-nibabel
    python2-transforms3d
    rtld(GNU_HASH)
    scipy
    sympy



Provides
--------
python3-nipy:
    python3-nipy
    python3-nipy(x86-64)

python-nipy-debuginfo:
    python-nipy-debuginfo
    python-nipy-debuginfo(x86-64)

python2-nipy:
    python-nipy
    python-nipy(x86-64)
    python2-nipy
    python2-nipy(x86-64)



Unversioned so-files
--------------------
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/algorithms/graph/_graph.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/algorithms/registration/_registration.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/algorithms/segmentation/_segmentation.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/algorithms/statistics/_quantile.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/algorithms/statistics/histogram.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/algorithms/statistics/intvol.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/labs/bindings/array.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/labs/bindings/linalg.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/labs/bindings/wrapper.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/labs/glm/kalman.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/labs/group/glm_twolevel.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/labs/group/onesample.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/labs/group/twosample.so
python2-nipy: /usr/lib64/python2.7/site-packages/nipy/labs/utils/routines.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/algorithms/graph/_graph.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/algorithms/registration/_registration.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/algorithms/segmentation/_segmentation.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/algorithms/statistics/_quantile.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/algorithms/statistics/histogram.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/algorithms/statistics/intvol.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/labs/bindings/array.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/labs/bindings/linalg.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/labs/bindings/wrapper.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/labs/glm/kalman.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/labs/group/glm_twolevel.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/labs/group/onesample.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/labs/group/twosample.cpython-35m-x86_64-linux-gnu.so
python3-nipy: /usr/lib64/python3.5/site-packages/nipy/labs/utils/routines.cpython-35m-x86_64-linux-gnu.so

Apart from the issues listed above, everything looks correct.
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-11-25 09:10:36 EST
Do the scripts in /bin/ do different things under Python2 and 3? I don't think so, which means that only one set should be installed (the python3 version)
[https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.2Fbin].
Comment 3 Igor Gnatenko 2015-11-25 15:34:59 EST
> - Permissions on files are set properly.
>   Note: See rpmlint output
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
> Maybe.
> 
> - py3dir has been removed from the guidelines. You are supposed to use a
> subdirectory of the source directory you create yourself, if it is necessary
> to have a separate source dir. But since nipy uses six, I think that the
> sources might be 2/3 compatible and you could just run both builds from the
> same source directory, and do the path fixups only on the installed files. I
> think that would also simplify the whole spec file, which right now is a bit
> complex.
Will fix it.
> 
> You could use %global _docdir_fmt %{name}
> to avoid installing both 
> /usr/share/doc/python3-nipy/examples/
> and/usr/share/doc/python2-nipy/examples/ 
> *if* they are identical.
Wow! Didn't know about this hack. Will do.
> 
> /usr/bin/env python is probably wrong. Especially in the python3- package.
> All those file permissions issues are not really important though.
Will fix
> 
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/labs/group/onesample.so 775
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/algorithms/graph/_graph.so 775
> python2-nipy.x86_64: E: non-executable-script
> /usr/lib64/python2.7/site-packages/nipy/algorithms/registration/scripting.py
> 644 /usr/bin/env
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/labs/group/twosample.so 775
> python2-nipy.x86_64: E: non-executable-script
> /usr/lib64/python2.7/site-packages/nipy/labs/glm/tests/test_glm.py 644
> /usr/bin/env
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/algorithms/registration/
> _registration.so 775
> python2-nipy.x86_64: E: non-executable-script
> /usr/lib64/python2.7/site-packages/nipy/labs/viz_tools/activation_maps.py
> 644 /usr/bin/env
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/algorithms/statistics/intvol.so 775
> python2-nipy.x86_64: E: non-executable-script
> /usr/lib64/python2.7/site-packages/nipy/labs/glm/setup.py 644 /usr/bin/env
> python2-nipy.x86_64: W: file-not-utf8
> /usr/share/doc/python2-nipy/examples/data/mni_basal_ganglia.nii.gz
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/algorithms/segmentation/
> _segmentation.so 775
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/labs/group/glm_twolevel.so 775
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/labs/bindings/linalg.so 775
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/labs/glm/kalman.so 775
> python2-nipy.x86_64: E: non-executable-script
> /usr/lib64/python2.7/site-packages/nipy/algorithms/registration/tests/
> test_scripting.py 644 /usr/bin/env
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/labs/bindings/wrapper.so 775
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/algorithms/statistics/histogram.so
> 775
> python2-nipy.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/nipy/labs/bindings/array.so 
Will fix
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-11-28 20:44 EST
Created attachment 1100059 [details]
patch to remove separate build dirs

Currently doesn't build because %license LICENSE does not find the file. What about the following change which simply does everything from one source dir?
Comment 6 Igor Gnatenko 2015-11-29 03:36:24 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #5)
> Created attachment 1100059 [details]
> patch to remove separate build dirs
> 
> Currently doesn't build because %license LICENSE does not find the file.
> What about the following change which simply does everything from one source
> dir?
Yes, I didn't remember why I did it in separate dirs before, but it works.

Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-nipy.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-nipy-0.4.0-3.fc24.src.rpm
Comment 7 Zbigniew Jędrzejewski-Szmek 2015-11-29 09:56:06 EST
Everything seems fine now. I already checked various formal stuff in comment #1. Package is APPROVED.


Rpmlint
-------
Checking: python2-nipy-0.4.0-3.fc24.x86_64.rpm
          python3-nipy-0.4.0-3.fc24.x86_64.rpm
          python-nipy-debuginfo-0.4.0-3.fc24.x86_64.rpm
          python-nipy-0.4.0-3.fc24.src.rpm
python2-nipy.x86_64: E: explicit-lib-dependency python-matplotlib
python2-nipy.x86_64: W: spelling-error Summary(en_US) Neuroimaging -> Micromanaging
python2-nipy.x86_64: W: spelling-error %description -l en_US Neuroimaging -> Micromanaging
python2-nipy.x86_64: W: file-not-utf8 /usr/share/doc/python-nipy/examples/data/mni_basal_ganglia.nii.gz
python2-nipy.x86_64: W: doc-file-dependency /usr/share/doc/python-nipy/examples/algorithms/gaussian_mixture_models.py /usr/bin/env
+ bunch more

Dunno, you cannot use both /usr/bin/python2 and /usr/bin/python3 in those scripts. Maybe the she-bang line should be removed altogether?

python3-nipy.x86_64: E: explicit-lib-dependency python3-matplotlib
python3-nipy.x86_64: W: spelling-error Summary(en_US) Neuroimaging -> Micromanaging
python3-nipy.x86_64: W: spelling-error %description -l en_US Neuroimaging -> Micromanaging
python3-nipy.x86_64: W: file-not-utf8 /usr/share/doc/python-nipy/examples/data/mni_basal_ganglia.nii.gz
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_3dto4d
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_4dto3d
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_tsdiffana
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_4d_realign
python3-nipy.x86_64: W: no-manual-page-for-binary nipy_diagnose
python-nipy.src: W: spelling-error Summary(en_US) Neuroimaging -> Micromanaging
python-nipy.src: W: spelling-error %description -l en_US Neuroimaging -> Micromanaging
+ a bunch of python-bytecode-without-source
4 packages and 0 specfiles checked; 2 errors, 495 warnings.
Comment 8 Till Maas 2015-11-29 11:28:51 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-nipy
Comment 9 Fedora Update System 2015-12-06 06:23:12 EST
python-nipy-0.4.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-67257fb75a
Comment 10 Fedora Update System 2015-12-06 18:51:25 EST
python-nipy-0.4.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-nipy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-67257fb75a
Comment 11 Fedora Update System 2015-12-15 08:23:07 EST
python-nipy-0.4.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.